Bug 591426 - gnome-disk-utility (palimpsest) fails to unmount flash drive
gnome-disk-utility (palimpsest) fails to unmount flash drive
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-disk-utility (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: David Zeuthen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 04:43 EDT by Lubos Kocman
Modified: 2013-03-05 23:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 09:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2010-05-12 04:43:12 EDT
Description of problem:

palimpsest fails to unmount flash drive while umount or right_click-> eject works

message details from palimpsest:
One or more partitions are busy on /dev/sdb

Version-Release number of selected component (if applicable):

RHEL6.0 snapshot 2
gnome-disk-utility-2.30.1-2.el6.x86_64
kernel: 2.6.32-24.el6.x86_64

How reproducible:


Steps to Reproduce:
1. execute palimpsest
2. mount usb flash drive
3. select it
4. click on Safe removal
  
Actual results:

Error detaching drive

Expected results:

unmounted device


Additional info:


lkocman@ThinkPad T400$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-lv_root
                       29G  5.1G   23G  19% /
tmpfs                 1.9G  496K  1.9G   1% /dev/shm
/dev/sda1             485M   66M  394M  15% /boot
/dev/sdb1              16G  8.0K   16G   1% /media/ADATA

lkocman@ThinkPad T400$ sudo fdisk /dev/sdb

WARNING: DOS-compatible mode is deprecated. It's strongly recommended to
         switch off the mode (command 'c') and change display units to
         sectors (command 'u').

Command (m for help): p

Disk /dev/sdb: 16.2 GB, 16173236224 bytes
64 heads, 32 sectors/track, 15424 cylinders
Units = cylinders of 2048 * 512 = 1048576 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000e2af9

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1       15424    15794160    c  W95 FAT32 (LBA)

Command (m for help): 


lkocman@ThinkPad T400$ sudo fuser /dev/sdb1
lkocman@ThinkPad T400$ sudo fuser /dev/sdb
lkocman@ThinkPad T400$ sudo fuser /media/ADATA
lkocman@ThinkPad T400$ umount /dev/sdb1
lkocman@ThinkPad T400$
Comment 1 Lubos Kocman 2010-05-12 04:46:07 EDT
Error is easy to reproduce on the  same hw Thinkpad T400 with ADATA flash drive (16G).
Comment 2 Lubos Kocman 2010-05-12 04:49:56 EDT
Sorry my mistake, the usb drive is detachable after unmounting via palimpsest.
Comment 4 RHEL Product and Program Management 2010-05-12 06:39:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Note You need to log in before you can comment on or make changes to this bug.